cern.colt.matrix.impl

## Class AbstractMatrix1D

- java.lang.Object
- - cern.colt.PersistentObject
  - - cern.colt.matrix.impl.AbstractMatrix
    - - cern.colt.matrix.impl.AbstractMatrix1D

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    DoubleMatrix1D, ObjectMatrix1D

      public abstract class AbstractMatrix1D
      extends AbstractMatrix

  Abstract base class for 1-d matrices (aka vectors) holding objects or primitive data types such as `int`, `double`, etc. First see the package summary and javadoc tree view to get the broad picture.

  Note that this implementation is not synchronized.

  Version:
    1.0, 09/24/99
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cern.colt.PersistentObject

      `serialVersionUID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkSize(AbstractMatrix1D B)` Sanity check for operations requiring two matrices with the same size.
    `int` | `size()` Returns the number of cells.
    `java.lang.String` | `toStringShort()` Returns a string representation of the receiver's shape.

    - ### Methods inherited from class cern.colt.matrix.impl.AbstractMatrix

      `ensureCapacity, trimToSize`

    - ### Methods inherited from class cern.colt.PersistentObject

      `clone`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### checkSize

          public void checkSize(AbstractMatrix1D B)

      Sanity check for operations requiring two matrices with the same size.
      Throws:
        `java.lang.IllegalArgumentException` - if `size() != B.size()`.

    - #### size

          public int size()

      Returns the number of cells.
      Specified by:
        `size` in class `AbstractMatrix`

    - #### toStringShort

          public java.lang.String toStringShort()

      Returns a string representation of the receiver's shape.

Jump to the Colt Homepage